summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson2011-08-28 15:12:46 +0200
committer Niels Horn2011-08-28 15:12:46 +0200
commit96a787d93b429aaa300a15d82b38010391abbeca (patch)
tree1cf3f2f0e8050c492280d003d4373121058c5a9c /audio
parentec81e4aaae64d750e546e561c225722b1b162bd0 (diff)
downloadslackbuilds-96a787d93b429aaa300a15d82b38010391abbeca.tar.gz
audio/zita-rev1: Added (reverb audio effect)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/zita-rev1/README9
-rw-r--r--audio/zita-rev1/doinst.sh3
-rw-r--r--audio/zita-rev1/slack-desc19
-rw-r--r--audio/zita-rev1/zita-rev1.SlackBuild75
-rw-r--r--audio/zita-rev1/zita-rev1.desktop8
-rw-r--r--audio/zita-rev1/zita-rev1.info10
6 files changed, 124 insertions, 0 deletions
diff --git a/audio/zita-rev1/README b/audio/zita-rev1/README
new file mode 100644
index 0000000000..e64f99d779
--- /dev/null
+++ b/audio/zita-rev1/README
@@ -0,0 +1,9 @@
+zita-rev1 is a reworked version of the reverb originally developed for
+Aeolus. Its character is more 'hall' than 'plate', but it can be used
+on a wide variety of instruments or voices. It is not a spatialiser -
+the early reflections are different for the L and R inputs, but do not
+correspond to any real room. They have been tuned to match left and
+right sources to some extent.
+
+This requires clthreads, clxclient, clalsadrv, and
+jack-audio-connection-kit. set_rlimits is highly recommended.
diff --git a/audio/zita-rev1/doinst.sh b/audio/zita-rev1/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/zita-rev1/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/zita-rev1/slack-desc b/audio/zita-rev1/slack-desc
new file mode 100644
index 0000000000..3f29b218ee
--- /dev/null
+++ b/audio/zita-rev1/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+zita-rev1: zita-rev1 (reverb audio effect)
+zita-rev1:
+zita-rev1: zita-rev1 is a reworked version of the reverb originally developed for
+zita-rev1: Aeolus. Its character is more 'hall' than 'plate', but it can be used
+zita-rev1: on a wide variety of instruments or voices. It is not a spatialiser -
+zita-rev1: the early reflections are different for the L and R inputs, but do
+zita-rev1: not correspond to any real room. They have been tuned to match left
+zita-rev1: and right sources to some extent.
+zita-rev1:
+zita-rev1:
+zita-rev1:
diff --git a/audio/zita-rev1/zita-rev1.SlackBuild b/audio/zita-rev1/zita-rev1.SlackBuild
new file mode 100644
index 0000000000..a94fa5d8c0
--- /dev/null
+++ b/audio/zita-rev1/zita-rev1.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# Slackware build script for zita-rev1
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=zita-rev1
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/bin $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make -C source CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" PREFIX=/usr
+make -C source install DESTDIR=$PKG PREFIX=/usr
+strip $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/pixmaps
+ln -s ../../doc/$PRGNAM-$VERSION/redzita.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/zita-rev1/zita-rev1.desktop b/audio/zita-rev1/zita-rev1.desktop
new file mode 100644
index 0000000000..6e9c63dd54
--- /dev/null
+++ b/audio/zita-rev1/zita-rev1.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Zita REV1
+Comment=Digital Reverb
+Exec=zita-rev1
+Icon=zita-rev1
+Terminal=false
+Type=Application
+Categories=AudioVideo;Audio;
diff --git a/audio/zita-rev1/zita-rev1.info b/audio/zita-rev1/zita-rev1.info
new file mode 100644
index 0000000000..c3d2910584
--- /dev/null
+++ b/audio/zita-rev1/zita-rev1.info
@@ -0,0 +1,10 @@
+PRGNAM="zita-rev1"
+VERSION="0.2.1"
+HOMEPAGE="http://kokkinizita.linuxaudio.org/linuxaudio/zita-rev1-doc/quickguide.html"
+DOWNLOAD="http://kokkinizita.linuxaudio.org/linuxaudio/downloads/zita-rev1-0.2.1.tar.bz2"
+MD5SUM="7121ec4feaa8550e1b003b39cb434aeb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"